Take the 2-minute tour ×
Ask Ubuntu is a question and answer site for Ubuntu users and developers. It's 100% free, no registration required.

I'm on a new install of Lubuntu 12.04 on an Acer Aspire 5534 (specifications here, tl;dr: AMD dual-core 64bit) trying to install steam_latest.deb from the Steam website. When I open gdebi to install, it tells me that it's uninstallable because it's for a i386 architecture. I've tried installing ia32-libs (installed, no success), gdebi --add-architecture i386 (with and without --force, command unknown). This is all I've found to fix the problem, but none of it has worked for me. Any suggestions are welcome, thanks for your time.

share|improve this question
2  
Does this answer work for you? –  Glutanimate Dec 30 '12 at 21:35
    
Package libjpeg-turbo8:i386 is not available, but is referred to by another package. This may mean that the package is missing, has been obsoleted, or is only available from another source E: Package 'libjpeg-turbo8:i386' has no installation candidate –  Ian Dec 30 '12 at 21:56

1 Answer 1

Some similar questions have already been asked here.

The problem, in short, is trying to force the installation of a 32 bit package on a 64 bit machine.

I would suggest you to have a look at these questions:

share|improve this answer
    
The only thing that began to work was ubuntuforums.org/showthread.php?t=24575 However, there was a failure on step 1 part 4. Not sure where to go from here. –  Ian Dec 30 '12 at 21:54
    
Read the terminal output, sometimes it's a recursive dependency of a dependency if you catch my drift. Install the missing package & voila! –  fleamour Apr 30 at 12:11

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.